Aller au contenu
Ressource · Banking

Currency exchanges

A currency exchange holds the exchange rates from one base currency to other currencies.

currency-exchanges:read
MéthodeCheminRésumé
GET/currency-exchanges/{currency}Get exchange rates for one base currency

Chaque endpoint demande currency-exchanges:read.

L’objet CurrencyExchange

baseCurrencystringobligatoire
timestampstringdate-timeobligatoire
ratesRecord<string, number>obligatoire
L’objet CurrencyExchange
{
  "baseCurrency": "string",
  "timestamp": "2026-03-02T09:30:00.000Z",
  "rates": {
    "key": 0
  }
}
GET/currency-exchanges/{currency}

Get exchange rates for one base currency

The currency is an uppercase ISO 4217 code (e.g. CHF). Unknown currencies return a 404.

Portéecurrency-exchanges:read

Paramètres de chemin

currencystringobligatoire

Base currency, as an ISO 4217 code.

Paramètres de requête

fieldsstring

Comma-separated property paths to include in the response, or in each item of a list. Use dots for nested paths.

Renvoie

200

Successful response

dataCurrencyExchangeobligatoire
curl 'https://api.business.swayapp.io/v1/currency-exchanges/CHF' \
  -H "Authorization: Bearer $SWAY_API_KEY"
{
  "data": {
    "baseCurrency": "string",
    "timestamp": "2026-03-02T09:30:00.000Z",
    "rates": {
      "key": 0
    }
  }
}

Construisez sur vos propres données.

Créez un compte, ouvrez Profil › Développeur et créez une clé limitée aux ressources dont vous avez besoin. Une question sur une intégration ? L’équipe y répond lors d’un appel.